'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var ADD_OPTIONS = exports.ADD_OPTIONS = 'ADD_OPTIONS';

var addOptions = exports.addOptions = function addOptions(options, messageDescriptors) {
  var mergedOptions = {};

  Object.keys(options).forEach(function (optionListName) {
    var values = options[optionListName];
    var descriptors = messageDescriptors[optionListName];

    mergedOptions[optionListName] = values.map(function (value) {
      var merged = {
        value: value
      };

      if (descriptors && descriptors[value]) {
        merged.messageDescriptor = descriptors[value];
      }

      return merged;
    });
  });

  return {
    type: ADD_OPTIONS,
    payload: mergedOptions
  };
};