'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _ControlledInput = require('./ControlledInput');

var _ControlledInput2 = _interopRequireDefault(_ControlledInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var OptionControlledInput = function OptionControlledInput(props) {
  var intl = props.intl,
      options = props.options,
      remainingProps = _objectWithoutProperties(props, ['intl', 'options']);

  var labeledOptions = options.map(function (option) {
    if (option.messageDescriptor) {
      return Object.assign({}, option, {
        label: intl.formatMessage(option.messageDescriptor)
      });
    }

    return option;
  });

  return _react2.default.createElement(_ControlledInput2.default, _extends({
    intl: intl,
    options: labeledOptions
  }, remainingProps));
};

OptionControlledInput.propTypes = _extends({}, _ControlledInput2.default.propTypes, {
  intl: _reactIntl.intlShape,
  options: _react.PropTypes.arrayOf(_react.PropTypes.shape({
    messageDescriptor: _react.PropTypes.shape({
      id: _react.PropTypes.string,
      defaultMessage: _react.PropTypes.string
    })
  }))
});

exports.default = OptionControlledInput;