'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BaseVocabularyControlledInput = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _cspaceInput = require('cspace-input');

var _ControlledInput = require('./ControlledInput');

var _ControlledInput2 = _interopRequireDefault(_ControlledInput);

var _refNameHelpers = require('../../helpers/refNameHelpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BaseVocabularyControlledInput = exports.BaseVocabularyControlledInput = function (_Component) {
  _inherits(BaseVocabularyControlledInput, _Component);

  function BaseVocabularyControlledInput() {
    _classCallCheck(this, BaseVocabularyControlledInput);

    return _possibleConstructorReturn(this, (BaseVocabularyControlledInput.__proto__ || Object.getPrototypeOf(BaseVocabularyControlledInput)).apply(this, arguments));
  }

  _createClass(BaseVocabularyControlledInput, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var onMount = this.props.onMount;


      if (onMount) {
        onMount();
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          items = _props.items,
          value = _props.value,
          onMount = _props.onMount,
          remainingProps = _objectWithoutProperties(_props, ['items', 'value', 'onMount']);

      var options = items ? items.map(function (item) {
        return {
          value: item.refName,
          label: item.displayName
        };
      }) : [];

      return _react2.default.createElement(_ControlledInput2.default, _extends({
        options: options,
        value: value,
        valueLabel: (0, _refNameHelpers.getDisplayName)(value)
      }, remainingProps));
    }
  }]);

  return BaseVocabularyControlledInput;
}(_react.Component);

BaseVocabularyControlledInput.propTypes = _extends({}, _ControlledInput2.default.propTypes, {
  items: _react.PropTypes.arrayOf(_react.PropTypes.shape({
    refName: _react.PropTypes.string,
    displayName: _react.PropTypes.string
  })),
  onMount: _react.PropTypes.func
});

exports.default = (0, _cspaceInput.repeatable)(BaseVocabularyControlledInput);